diff --git a/NetworkPkg/Ip6Dxe/Ip6Nd.c b/NetworkPkg/Ip6Dxe/Ip6Nd.c
index 0780a98..c10c701 100644
--- a/NetworkPkg/Ip6Dxe/Ip6Nd.c
+++ b/NetworkPkg/Ip6Dxe/Ip6Nd.c
@@ -1457,30 +1456,30 @@ Ip6SendNeighborSolicit (
 **/
 EFI_STATUS
 Ip6ProcessNeighborSolicit (
-  IN IP6_SERVICE            *IpSb,
-  IN EFI_IP6_HEADER         *Head,
-  IN NET_BUF                *Packet
+  IN IP6_SERVICE     *IpSb,
+  IN EFI_IP6_HEADER  *Head,
+  IN NET_BUF         *Packet
   )
 {
-  IP6_ICMP_INFORMATION_HEAD Icmp;
-  EFI_IPv6_ADDRESS          Target;
-  IP6_ETHER_ADDR_OPTION     LinkLayerOption;
-  BOOLEAN                   IsDAD;
-  BOOLEAN                   IsUnicast;
-  BOOLEAN                   IsMaintained;
-  IP6_DAD_ENTRY             *DupAddrDetect;
-  IP6_INTERFACE             *IpIf;
-  IP6_NEIGHBOR_ENTRY        *Neighbor;
-  BOOLEAN                   Solicited;
-  BOOLEAN                   UpdateCache;
-  EFI_IPv6_ADDRESS          Dest;
-  UINT16                    OptionLen;
-  UINT8                     *Option;
-  BOOLEAN                   Provided;
-  EFI_STATUS                Status;
-  VOID                      *MacAddress;
-
-  NetbufCopy (Packet, 0, sizeof (Icmp), (UINT8 *) &Icmp);
+  IP6_ICMP_INFORMATION_HEAD  Icmp;
+  EFI_IPv6_ADDRESS           Target;
+  IP6_ETHER_ADDR_OPTION      LinkLayerOption;
+  BOOLEAN                    IsDAD;
+  BOOLEAN                    IsUnicast;
+  BOOLEAN                    IsMaintained;
+  IP6_DAD_ENTRY              *DupAddrDetect;
+  IP6_INTERFACE              *IpIf;
+  IP6_NEIGHBOR_ENTRY         *Neighbor;
+  BOOLEAN                    Solicited;
+  BOOLEAN                    UpdateCache;
+  EFI_IPv6_ADDRESS           Dest;
+  UINT16                     OptionLen;
+  UINT8                      *Option;
+  BOOLEAN                    Provided;
+  EFI_STATUS                 Status;
+  VOID                       *MacAddress;
+
+  NetbufCopy (Packet, 0, sizeof (Icmp), (UINT8 *)&Icmp);
   NetbufCopy (Packet, sizeof (Icmp), sizeof (Target), Target.Addr);
 
   //
@@ -1492,7 +1491,7 @@ Ip6ProcessNeighborSolicit (
   //
   Status = EFI_INVALID_PARAMETER;
 
-  if (Head->HopLimit != IP6_HOP_LIMIT || Icmp.Head.Code != 0 || !NetIp6IsValidUnicast (&Target)) {
+  if ((Head->HopLimit != IP6_HOP_LIMIT) || (Icmp.Head.Code != 0) || !NetIp6IsValidUnicast (&Target)) {
     goto Exit;
   }
 
@@ -1503,9 +1502,9 @@ Ip6ProcessNeighborSolicit (
   if (Head->PayloadLength < IP6_ND_LENGTH) {
     goto Exit;
   } else {
-    OptionLen = (UINT16) (Head->PayloadLength - IP6_ND_LENGTH);
+    OptionLen = (UINT16)(Head->PayloadLength - IP6_ND_LENGTH);
     if (OptionLen != 0) {
-      Option    = NetbufGetByte (Packet, IP6_ND_LENGTH, NULL);
+      Option = NetbufGetByte (Packet, IP6_ND_LENGTH, NULL);
       ASSERT (Option != NULL);
 
       //
@@ -1527,7 +1526,7 @@ Ip6ProcessNeighborSolicit (
       Packet,
       IP6_ND_LENGTH,
       sizeof (IP6_ETHER_ADDR_OPTION),
-      (UINT8 *) &LinkLayerOption
+      (UINT8 *)&LinkLayerOption
       );
     //
     // The solicitation for neighbor discovery should include a source link-layer
@@ -1591,7 +1590,8 @@ Ip6ProcessNeighborSolicit (
               MacAddress,
               &IpSb->SnpMode.CurrentAddress,
               IpSb->SnpMode.HwAddressSize
-              ) != 0) {
+              ) != 0)
+        {
           //
           // The NS is from another node to performing DAD on the same address.
           // Fail DAD for the tentative address.
@@ -1607,6 +1607,7 @@ Ip6ProcessNeighborSolicit (
         }
       }
     }
+
     goto Exit;
   }
 
@@ -1624,6 +1625,7 @@ Ip6ProcessNeighborSolicit (
         Status = EFI_OUT_OF_RESOURCES;
         goto Exit;
       }
+
       UpdateCache = TRUE;
     } else {
       if (CompareMem (Neighbor->LinkAddress.Addr, LinkLayerOption.EtherAddr, 6) != 0) {
@@ -1633,12 +1635,12 @@ Ip6ProcessNeighborSolicit (
 
     if (UpdateCache) {
       Neighbor->State = EfiNeighborStale;
-      Neighbor->Ticks = (UINT32) IP6_INFINIT_LIFETIME;
+      Neighbor->Ticks = (UINT32)IP6_INFINIT_LIFETIME;
       CopyMem (Neighbor->LinkAddress.Addr, LinkLayerOption.EtherAddr, 6);
       //
       // Send queued packets if exist.
       //
-      Neighbor->CallBack ((VOID *) Neighbor);
+      Neighbor->CallBack ((VOID *)Neighbor);
     }
   }
 
@@ -1686,28 +1688,28 @@ Exit:
 **/
 EFI_STATUS
 Ip6ProcessNeighborAdvertise (
-  IN IP6_SERVICE            *IpSb,
-  IN EFI_IP6_HEADER         *Head,
-  IN NET_BUF                *Packet
+  IN IP6_SERVICE     *IpSb,
+  IN EFI_IP6_HEADER  *Head,
+  IN NET_BUF         *Packet
   )
 {
-  IP6_ICMP_INFORMATION_HEAD Icmp;
-  EFI_IPv6_ADDRESS          Target;
-  IP6_ETHER_ADDR_OPTION     LinkLayerOption;
-  BOOLEAN                   Provided;
-  INTN                      Compare;
-  IP6_NEIGHBOR_ENTRY        *Neighbor;
-  IP6_DEFAULT_ROUTER        *DefaultRouter;
-  BOOLEAN                   Solicited;
-  BOOLEAN                   IsRouter;
-  BOOLEAN                   Override;
-  IP6_DAD_ENTRY             *DupAddrDetect;
-  IP6_INTERFACE             *IpIf;
-  UINT16                    OptionLen;
-  UINT8                     *Option;
-  EFI_STATUS                Status;
-
-  NetbufCopy (Packet, 0, sizeof (Icmp), (UINT8 *) &Icmp);
+  IP6_ICMP_INFORMATION_HEAD  Icmp;
+  EFI_IPv6_ADDRESS           Target;
+  IP6_ETHER_ADDR_OPTION      LinkLayerOption;
+  BOOLEAN                    Provided;
+  INTN                       Compare;
+  IP6_NEIGHBOR_ENTRY         *Neighbor;
+  IP6_DEFAULT_ROUTER         *DefaultRouter;
+  BOOLEAN                    Solicited;
+  BOOLEAN                    IsRouter;
+  BOOLEAN                    Override;
+  IP6_DAD_ENTRY              *DupAddrDetect;
+  IP6_INTERFACE              *IpIf;
+  UINT16                     OptionLen;
+  UINT8                      *Option;
+  EFI_STATUS                 Status;
+
+  NetbufCopy (Packet, 0, sizeof (Icmp), (UINT8 *)&Icmp);
   NetbufCopy (Packet, sizeof (Icmp), sizeof (Target), Target.Addr);
 
   //
@@ -1720,7 +1722,7 @@ Ip6ProcessNeighborAdvertise (
   // ICMP Code is 0.
   // Target Address is not a multicast address.
   //
-  if (Head->HopLimit != IP6_HOP_LIMIT || Icmp.Head.Code != 0 || !NetIp6IsValidUnicast (&Target)) {
+  if ((Head->HopLimit != IP6_HOP_LIMIT) || (Icmp.Head.Code != 0) || !NetIp6IsValidUnicast (&Target)) {
     goto Exit;
   }
 
@@ -1732,9 +1734,9 @@ Ip6ProcessNeighborAdvertise (
   if (Head->PayloadLength < IP6_ND_LENGTH) {
     goto Exit;
   } else {
-    OptionLen = (UINT16) (Head->PayloadLength - IP6_ND_LENGTH);
+    OptionLen = (UINT16)(Head->PayloadLength - IP6_ND_LENGTH);
     if (OptionLen != 0) {
-      Option    = NetbufGetByte (Packet, IP6_ND_LENGTH, NULL);
+      Option = NetbufGetByte (Packet, IP6_ND_LENGTH, NULL);
       ASSERT (Option != NULL);
 
       //
@@ -1753,6 +1755,7 @@ Ip6ProcessNeighborAdvertise (
   if ((Icmp.Fourth & IP6_SOLICITED_FLAG) == IP6_SOLICITED_FLAG) {
     Solicited = TRUE;
   }
+
   if (IP6_IS_MULTICAST (&Head->DestinationAddress) && Solicited) {
     goto Exit;
   }
@@ -1787,6 +1790,7 @@ Ip6ProcessNeighborAdvertise (
   if ((Icmp.Fourth & IP6_IS_ROUTER_FLAG) == IP6_IS_ROUTER_FLAG) {
     IsRouter = TRUE;
   }
+
   if ((Icmp.Fourth & IP6_OVERRIDE_FLAG) == IP6_OVERRIDE_FLAG) {
     Override = TRUE;
   }
@@ -1799,7 +1803,7 @@ Ip6ProcessNeighborAdvertise (
       Packet,
       IP6_ND_LENGTH,
       sizeof (IP6_ETHER_ADDR_OPTION),
-      (UINT8 *) &LinkLayerOption
+      (UINT8 *)&LinkLayerOption
       );
 
     if (LinkLayerOption.Type == Ip6OptionEtherTarget) {
@@ -1828,6 +1832,7 @@ Ip6ProcessNeighborAdvertise (
     if (!Provided) {
       goto Exit;
     }
+
     //
     // Update the Neighbor Cache
     //
@@ -1837,17 +1842,16 @@ Ip6ProcessNeighborAdvertise (
       Neighbor->Ticks = IP6_GET_TICKS (IpSb->ReachableTime);
     } else {
       Neighbor->State = EfiNeighborStale;
-      Neighbor->Ticks = (UINT32) IP6_INFINIT_LIFETIME;
+      Neighbor->Ticks = (UINT32)IP6_INFINIT_LIFETIME;
       //
       // Send any packets queued for the neighbor awaiting address resolution.
       //
-      Neighbor->CallBack ((VOID *) Neighbor);
+      Neighbor->CallBack ((VOID *)Neighbor);
     }
 
     Neighbor->IsRouter = IsRouter;
-
   } else {
-    if (!Override && Compare != 0) {
+    if (!Override && (Compare != 0)) {
       //
       // When the Override Flag is clear and supplied link-layer address differs from
       // that in the cache, if the state of the entry is not REACHABLE, ignore the
@@ -1856,12 +1860,13 @@ Ip6ProcessNeighborAdvertise (
       //
       if (Neighbor->State == EfiNeighborReachable) {
         Neighbor->State = EfiNeighborStale;
-        Neighbor->Ticks = (UINT32) IP6_INFINIT_LIFETIME;
+        Neighbor->Ticks = (UINT32)IP6_INFINIT_LIFETIME;
       }
     } else {
       if (Compare != 0) {
         CopyMem (Neighbor->LinkAddress.Addr, LinkLayerOption.EtherAddr, 6);
       }
+
       //
       // Update the entry's state
       //
@@ -1871,7 +1876,7 @@ Ip6ProcessNeighborAdvertise (
       } else {
         if (Compare != 0) {
           Neighbor->State = EfiNeighborStale;
-          Neighbor->Ticks = (UINT32) IP6_INFINIT_LIFETIME;
+          Neighbor->Ticks = (UINT32)IP6_INFINIT_LIFETIME;
         }
       }
 
@@ -1892,7 +1897,7 @@ Ip6ProcessNeighborAdvertise (
   }
 
   if (Neighbor->State == EfiNeighborReachable) {
-    Neighbor->CallBack ((VOID *) Neighbor);
+    Neighbor->CallBack ((VOID *)Neighbor);
   }
 
   Status = EFI_SUCCESS;
@@ -1918,36 +1923,36 @@ Exit:
 **/
 EFI_STATUS
 Ip6ProcessRouterAdvertise (
-  IN IP6_SERVICE            *IpSb,
-  IN EFI_IP6_HEADER         *Head,
-  IN NET_BUF                *Packet
+  IN IP6_SERVICE     *IpSb,
+  IN EFI_IP6_HEADER  *Head,
+  IN NET_BUF         *Packet
   )
 {
-  IP6_ICMP_INFORMATION_HEAD Icmp;
-  UINT32                    ReachableTime;
-  UINT32                    RetransTimer;
-  UINT16                    RouterLifetime;
-  UINT32                    Offset;
-  UINT8                     Type;
-  UINT8                     Length;
-  IP6_ETHER_ADDR_OPTION     LinkLayerOption;
-  UINT32                    Fourth;
-  UINT8                     CurHopLimit;
-  BOOLEAN                   Mflag;
-  BOOLEAN                   Oflag;
-  IP6_DEFAULT_ROUTER        *DefaultRouter;
-  IP6_NEIGHBOR_ENTRY        *NeighborCache;
-  EFI_MAC_ADDRESS           LinkLayerAddress;
-  IP6_MTU_OPTION            MTUOption;
-  IP6_PREFIX_INFO_OPTION    PrefixOption;
-  IP6_PREFIX_LIST_ENTRY     *PrefixList;
-  BOOLEAN                   OnLink;
-  BOOLEAN                   Autonomous;
-  EFI_IPv6_ADDRESS          StatelessAddress;
-  EFI_STATUS                Status;
-  UINT16                    OptionLen;
-  UINT8                     *Option;
-  INTN                      Result;
+  IP6_ICMP_INFORMATION_HEAD  Icmp;
+  UINT32                     ReachableTime;
+  UINT32                     RetransTimer;
+  UINT16                     RouterLifetime;
+  UINT32                     Offset;
+  UINT8                      Type;
+  UINT8                      Length;
+  IP6_ETHER_ADDR_OPTION      LinkLayerOption;
+  UINT32                     Fourth;
+  UINT8                      CurHopLimit;
+  BOOLEAN                    Mflag;
+  BOOLEAN                    Oflag;
+  IP6_DEFAULT_ROUTER         *DefaultRouter;
+  IP6_NEIGHBOR_ENTRY         *NeighborCache;
+  EFI_MAC_ADDRESS            LinkLayerAddress;
+  IP6_MTU_OPTION             MTUOption;
+  IP6_PREFIX_INFO_OPTION     PrefixOption;
+  IP6_PREFIX_LIST_ENTRY      *PrefixList;
+  BOOLEAN                    OnLink;
+  BOOLEAN                    Autonomous;
+  EFI_IPv6_ADDRESS           StatelessAddress;
+  EFI_STATUS                 Status;
+  UINT16                     OptionLen;
+  UINT8                      *Option;
+  INTN                       Result;
 
   Status = EFI_INVALID_PARAMETER;
 
@@ -1958,7 +1963,7 @@ Ip6ProcessRouterAdvertise (
     goto Exit;
   }
 
-  NetbufCopy (Packet, 0, sizeof (Icmp), (UINT8 *) &Icmp);
+  NetbufCopy (Packet, 0, sizeof (Icmp), (UINT8 *)&Icmp);
 
   //
   // Validate the incoming Router Advertisement
@@ -1970,23 +1975,25 @@ Ip6ProcessRouterAdvertise (
   if (!NetIp6IsLinkLocalAddr (&Head->SourceAddress)) {
     goto Exit;
   }
+
   //
   // The IP Hop Limit field has a value of 255, i.e. the packet
   // could not possibly have been forwarded by a router.
   // ICMP Code is 0.
   // ICMP length (derived from the IP length) is 16 or more octets.
   //
-  if (Head->HopLimit != IP6_HOP_LIMIT || Icmp.Head.Code != 0 ||
-      Head->PayloadLength < IP6_RA_LENGTH) {
+  if ((Head->HopLimit != IP6_HOP_LIMIT) || (Icmp.Head.Code != 0) ||
+      (Head->PayloadLength < IP6_RA_LENGTH))
+  {
     goto Exit;
   }
 
   //
   // All included options have a length that is greater than zero.
   //
-  OptionLen = (UINT16) (Head->PayloadLength - IP6_RA_LENGTH);
+  OptionLen = (UINT16)(Head->PayloadLength - IP6_RA_LENGTH);
   if (OptionLen != 0) {
-    Option    = NetbufGetByte (Packet, IP6_RA_LENGTH, NULL);
+    Option = NetbufGetByte (Packet, IP6_RA_LENGTH, NULL);
     ASSERT (Option != NULL);
 
     if (!Ip6IsNDOptionValid (Option, OptionLen)) {
@@ -2035,17 +2042,17 @@ Ip6ProcessRouterAdvertise (
     }
   }
 
-  CurHopLimit = *((UINT8 *) &Fourth + 3);
+  CurHopLimit = *((UINT8 *)&Fourth + 3);
   if (CurHopLimit != 0) {
     IpSb->CurHopLimit = CurHopLimit;
   }
 
   Mflag = FALSE;
   Oflag = FALSE;
-  if ((*((UINT8 *) &Fourth + 2) & IP6_M_ADDR_CONFIG_FLAG) == IP6_M_ADDR_CONFIG_FLAG) {
+  if ((*((UINT8 *)&Fourth + 2) & IP6_M_ADDR_CONFIG_FLAG) == IP6_M_ADDR_CONFIG_FLAG) {
     Mflag = TRUE;
   } else {
-    if ((*((UINT8 *) &Fourth + 2) & IP6_O_CONFIG_FLAG) == IP6_O_CONFIG_FLAG) {
+    if ((*((UINT8 *)&Fourth + 2) & IP6_O_CONFIG_FLAG) == IP6_O_CONFIG_FLAG) {
       Oflag = TRUE;
     }
   }
@@ -2060,12 +2067,12 @@ Ip6ProcessRouterAdvertise (
   //
   // Process Reachable Time and Retrans Timer fields.
   //
-  NetbufCopy (Packet, sizeof (Icmp), sizeof (UINT32), (UINT8 *) &ReachableTime);
-  NetbufCopy (Packet, sizeof (Icmp) + sizeof (UINT32), sizeof (UINT32), (UINT8 *) &RetransTimer);
+  NetbufCopy (Packet, sizeof (Icmp), sizeof (UINT32), (UINT8 *)&ReachableTime);
+  NetbufCopy (Packet, sizeof (Icmp) + sizeof (UINT32), sizeof (UINT32), (UINT8 *)&RetransTimer);
   ReachableTime = NTOHL (ReachableTime);
   RetransTimer  = NTOHL (RetransTimer);
 
-  if (ReachableTime != 0 && ReachableTime != IpSb->BaseReachableTime) {
+  if ((ReachableTime != 0) && (ReachableTime != IpSb->BaseReachableTime)) {
     //
     // If new value is not unspecified and differs from the previous one, record it
     // in BaseReachableTime and recompute a ReachableTime.
